net.corda.core.schemas

## Interface QueryableState

- All Superinterfaces:
    ContractState
  All Known Implementing Classes:
    Cash.State, CommercialPaper.State

      public QueryableState
      extends ContractState

  A contract state that may be mapped to database schemas configured for this node to support querying for, or filtering of, states.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `PersistentState` | `generateMappedObject(MappedSchema schema)` Export a representation for the given schema.
    `java.lang.Iterable<net.corda.core.schemas.MappedSchema>` | `supportedSchemas()` Enumerate the schemas this state can export representations of itself as.

    - ### Methods inherited from interface net.corda.core.contracts.ContractState

      `getContract, getParticipants`

- - ### Method Detail

    - #### supportedSchemas

          java.lang.Iterable<net.corda.core.schemas.MappedSchema> supportedSchemas()

      Enumerate the schemas this state can export representations of itself as.

    - #### generateMappedObject

          PersistentState generateMappedObject(MappedSchema schema)

      Export a representation for the given schema.